Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227086 - Review Request: mockobjects-0.09-16jpp - Java MockObjects package
Summary: Review Request: mockobjects-0.09-16jpp - Java MockObjects package
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Fitzsimmons
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:46 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-04 22:31:31 UTC


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:46:50 UTC
Spec URL: http://people.redhat.com/rafaels/specs/mockobjects-0.09-16jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/mockobjects-0.09-16jpp.src.rpm
Description: The Mock Objects project is a generic unit testing framework whose goal
is to facilitate developing unit tests in the mock object style. The
goal of this project is to provide, a core mock objects framework. This
is a library of code that supports the implementation of mock objects.
It is based around a set of expectation classes for values and
collections. There are also various other classes to make mock objects
easier to write or to use.

MockObjects specific to JDK 1.4.x

MockObjects for Jakarta Commons HttpClient

Alternative API for Jakarta Commons HttpClient to allow for testing

Alternative API for JDK 1.4 to allow for testing

API for JDK 1.4 to allow testing with J2EE 1.4 mocks

Comment 1 Thomas Fitzsimmons 2007-04-04 22:31:31 UTC
mockobjects has been removed for Fedora 7.



Note You need to log in before you can comment on or make changes to this bug.